# Get All Inventory Levels GET https://api.shipbob.com/Experimental/inventory-levels Reference: https://developer.shipbob.com/experimental/api/inventories/get-all-inventory-levels ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: |2 Get All Inventory Levels version: endpoint_inventories.getAllInventoryLevels paths: /Experimental/inventory-levels: get: operationId: get-all-inventory-levels summary: |2 Get All Inventory Levels tags: - - subpackage_inventories parameters: - name: SearchBy in: query description: '' required: false schema: type: string - name: InventoryIds in: query description: '' required: false schema: type: string - name: IsActive in: query description: '' required: false schema: type: boolean - name: IsDigital in: query description: '' required: false schema: type: boolean - name: PageSize in: query description: '' required: false schema: type: string format: int32 - name: SortBy in: query description: '' required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/Inventory.InventoryQuantityResponsePagedResponse '400': description: Bad Request content: {} '401': description: Unauthorized content: {} '403': description: Forbidden content: {} '500': description: Internal Server Error content: {} '503': description: Service Unavailable content: {} components: schemas: Inventory.InventoryQuantityResponse: type: object properties: inventory_id: type: integer name: type: - string - 'null' sku: type: - string - 'null' total_awaiting_quantity: type: integer total_backordered_quantity: type: integer total_committed_quantity: type: integer total_exception_quantity: type: integer total_fulfillable_quantity: type: integer total_internal_transfer_quantity: type: integer total_on_hand_quantity: type: integer total_sellable_quantity: type: integer Inventory.InventoryQuantityResponsePagedResponse: type: object properties: first: type: - string - 'null' items: type: - array - 'null' items: $ref: '#/components/schemas/Inventory.InventoryQuantityResponse' last: type: - string - 'null' next: type: - string - 'null' prev: type: - string - 'null' ``` ## SDK Code Examples ```python Inventories_getAllInventoryLevels_example import requests url = "https://api.shipbob.com/Experimental/inventory-levels" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inventories_getAllInventoryLevels_example const url = 'https://api.shipbob.com/Experimental/inventory-levels'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inventories_getAllInventoryLevels_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/Experimental/inventory-levels" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inventories_getAllInventoryLevels_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/Experimental/inventory-levels") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Inventories_getAllInventoryLevels_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/Experimental/inventory-levels") .header("Authorization", "Bearer ") .asString(); ``` ```php Inventories_getAllInventoryLevels_example request('GET', 'https://api.shipbob.com/Experimental/inventory-levels', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Inventories_getAllInventoryLevels_example using RestSharp; var client = new RestClient("https://api.shipbob.com/Experimental/inventory-levels"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Inventories_getAllInventoryLevels_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/inventory-levels")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```